Discontinuation of Support for Older Versions of MetaTrader 4 Desktop and Mobile

Please be informed that MetaQuotes will no longer support older MetaTrader Desktop and Android builds from Friday, 1 March 2019.

As such, MT4 Desktop softwares below v.1118 and MT4 Android applications below v.1104 will no longer be able to connect to Blackwell Global’s trading servers after the effective date.

MetaTrader 4 Latest Builds:

MetaTrader 4 (Device) Latest Version
Desktop 1170
Android 1136
iOS 1093

 

Please be reminded to update the MT4 terminals of your DesktopAndroid and iOS devices to the latest version.

 

Do not hesitate to contact us at cs@blackwellglobal.com if you have any queries.
All information is made as accurate as possible, but it is intended for guidance only, and is subject to change. Please refer to Blackwell Global’s Updates web page for the latest details.